function Update()

end

function HandleEvent( event )
	if event:GetID() == "Event_SelectionWheelSelection" then
		if event:GetSelection() == 0 then
			game.EventManager_GetInstance():SendEvent( game.Event_SwitchGameState_Create( "GameStateMenu" ) )
			
		elseif event:GetSelection() == 1 then
			GAME:GetGameState():GetEntityManager():GetEntity( "levelControl" ):SetBool( "restart", true )
			GAME:GetGameState():GetPhysicsManager():SetPaused( false )
			GAME:GetGameState():GetEntityManager():GetEntity( "timer" ):SetBool( "paused", false )
			GAME:GetGameState():GetEntityManager():GetEntity( "ingameMenu" ):Disable()
			
		elseif event:GetSelection() == 2 then
			GAME:GetGameState():GetPhysicsManager():SetPaused( false )
			GAME:GetGameState():GetEntityManager():GetEntity( "timer" ):SetBool( "paused", false )
			GAME:GetGameState():GetEntityManager():GetEntity( "ingameMenu" ):Disable()
		end
	end
end